> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a tenant

> Get a tenant by ID.



## OpenAPI

````yaml https://admin.trophy.so/v1/openapi get /tenants/{id}
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Admin API
    url: https://admin.trophy.so/v1
    description: Admin API
security: []
paths:
  /tenants/{id}:
    servers:
      - url: https://admin.trophy.so/v1
        description: Admin API
    get:
      tags:
        - Admin
      summary: Get a tenant
      description: Get a tenant by ID.
      operationId: admin_tenants_get
      parameters:
        - name: id
          in: path
          description: The UUID of the tenant to retrieve.
          required: true
          schema:
            type: string
            format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminTenant'
              examples:
                Tenant:
                  value:
                    id: 550e8400-e29b-41d4-a716-446655440000
                    customerId: customer_12345
                    name: Acme Corp
                    status: active
                    created: '2026-01-15T09:30:00.000Z'
                    updated: '2026-01-15T09:30:00.000Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '404':
          description: Tenant Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '422':
          description: Unprocessible Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: |
            import { TrophyApiClient } from '@trophyso/node';

            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });

            const tenant = await trophy.admin.tenants.get(
              '550e8400-e29b-41d4-a716-446655440000'
            );
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            tenant = client.admin.tenants.get(
              "550e8400-e29b-41d4-a716-446655440000"
            )
        - lang: go
          source: >
            import (
              "context"

              api "github.com/trophyso/trophy-go"
              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )


            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )


            response, err := client.Admin.Tenants.Get(context.TODO(),
            "550e8400-e29b-41d4-a716-446655440000")
components:
  schemas:
    AdminTenant:
      title: AdminTenant
      type: object
      description: A tenant in a multi-tenant environment.
      properties:
        id:
          type: string
          format: uuid
          description: The tenant UUID.
          example: 550e8400-e29b-41d4-a716-446655440000
        customerId:
          type: string
          description: The external customer ID for this tenant.
          example: customer_12345
        name:
          type: string
          description: Human-readable name for the tenant.
          example: Acme Corp
        status:
          type: string
          enum:
            - active
            - archived
          description: The lifecycle status of the tenant.
          example: active
        created:
          type: string
          format: date-time
          description: When the tenant was created.
        updated:
          type: string
          format: date-time
          description: When the tenant was last updated.
      required:
        - id
        - customerId
        - name
        - status
        - created
        - updated
    AdminErrorBody:
      title: AdminErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````